System.Security 2.0.0.0 4.0.0.0 System.Object To be added.

The class defines the algorithm used for a cryptographic operation.

- Constructor
  2.0.0.0
  4.0.0.0

  The class has the following default property values.

  Property

  Default value

  1.2.840.113549.3.7 (RSA_DES_EDE3_CBC)

  The maximum provided by the default Cryptographic Service Provider

  To gain the highest degree of control over an application constructing an instance of this class, use one of the constructors that allows the algorithm to be set by passing in its object. This guards against the possibility that the default algorithm could change because of security or other considerations.

  The constructor creates an instance of the class by using a set of default parameters.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  For the default property values used with this constructor, see .

  The constructor creates an instance of the class with the specified algorithm identifier.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The parameter is ignored for algorithms that use a fixed key length.

  The constructor creates an instance of the class with the specified algorithm identifier and key length.

  The length, in bits, of the key.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Due to a limitation in the ASN.1 encoding of the key length, the value of this property is estimated for the RC4 encryption algorithm; it is not guaranteed to be accurate.

  The property sets or retrieves the key length, in bits. This property is not used for algorithms that use a fixed key length.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid To be added. To be added.

  The property sets or retrieves the object that specifies the object identifier for the algorithm.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added. To be added.

  The property sets or retrieves any parameters required by the algorithm.